[dpdk-dev] [PATCH 1/1] devtools: rename build test verbosity variables

Thomas Monjalon thomas at monjalon.net
Thu Nov 12 17:39:01 CET 2020


For consistency with other variables which can be set from the env,
TEST_MESON_BUILD_VERBOSE and TEST_MESON_BUILD_VERY_VERBOSE
are renamed
DPDK_BUILD_TEST_VERBOSE and DPDK_BUILD_TEST_VERY_VERBOSE.

The handling of the verbosity level is also moved upper in the script,
closer to other initializations.

Signed-off-by: Thomas Monjalon <thomas at monjalon.net>
---
 devtools/test-meson-builds.sh | 36 +++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 3ce49368cf..d3122fbc73 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -43,6 +43,22 @@ default_cflags=$CFLAGS
 default_ldflags=$LDFLAGS
 default_meson_options=$DPDK_MESON_OPTIONS
 
+if [ "$1" = "-vv" ] ; then
+	DPDK_BUILD_TEST_VERY_VERBOSE=1
+	DPDK_BUILD_TEST_VERBOSE=1
+elif [ "$1" = "-v" ] ; then
+	DPDK_BUILD_TEST_VERBOSE=1
+fi
+# we can't use plain verbose when we don't have pipefail option so up-level
+if [ -z "$PIPEFAIL" -a -n "$DPDK_BUILD_TEST_VERBOSE" ] ; then
+	echo "# Missing pipefail shell option, changing VERBOSE to VERY_VERBOSE"
+	DPDK_BUILD_TEST_VERY_VERBOSE=1
+fi
+[ -n "$DPDK_BUILD_TEST_VERBOSE" ] && exec 8>&1 || exec 8>/dev/null
+verbose=8
+[ -n "$DPDK_BUILD_TEST_VERY_VERBOSE" ] && exec 9>&1 || exec 9>/dev/null
+veryverbose=9
+
 check_cc_flags () # <flag to check> <flag2> ...
 {
 	echo 'int main(void) { return 0; }' |
@@ -108,11 +124,11 @@ config () # <dir> <builddir> <meson options>
 compile () # <builddir>
 {
 	builddir=$1
-	if [ -n "$TEST_MESON_BUILD_VERY_VERBOSE" ] ; then
+	if [ -n "$DPDK_BUILD_TEST_VERY_VERBOSE" ] ; then
 		# for full output from ninja use "-v"
 		echo "$ninja_cmd -v -C $builddir"
 		$ninja_cmd -v -C $builddir
-	elif [ -n "$TEST_MESON_BUILD_VERBOSE" ] ; then
+	elif [ -n "$DPDK_BUILD_TEST_VERBOSE" ] ; then
 		# for keeping the history of short cmds, pipe through cat
 		echo "$ninja_cmd -C $builddir | cat"
 		$ninja_cmd -C $builddir | cat
@@ -180,22 +196,6 @@ build () # <directory> <target compiler | cross file> <meson options>
 	fi
 }
 
-if [ "$1" = "-vv" ] ; then
-	TEST_MESON_BUILD_VERY_VERBOSE=1
-	TEST_MESON_BUILD_VERBOSE=1
-elif [ "$1" = "-v" ] ; then
-	TEST_MESON_BUILD_VERBOSE=1
-fi
-# we can't use plain verbose when we don't have pipefail option so up-level
-if [ -z "$PIPEFAIL" -a -n "$TEST_MESON_BUILD_VERBOSE" ] ; then
-	echo "# Missing pipefail shell option, changing VERBOSE to VERY_VERBOSE"
-	TEST_MESON_BUILD_VERY_VERBOSE=1
-fi
-[ -n "$TEST_MESON_BUILD_VERBOSE" ] && exec 8>&1 || exec 8>/dev/null
-verbose=8
-[ -n "$TEST_MESON_BUILD_VERY_VERBOSE" ] && exec 9>&1 || exec 9>/dev/null
-veryverbose=9
-
 # shared and static linked builds with gcc and clang
 for c in gcc clang ; do
 	command -v $c >/dev/null 2>&1 || continue
-- 
2.28.0



More information about the dev mailing list